Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.common
Class Mat22

    java.lang.Object
      org.jbox2d.common.Mat22

    public class Mat22

extends java.lang.Object

Field Summary
`Vec2` | `col1`
`Vec2` | `col2`

Constructor Summary
`Mat22()`
`Mat22(float angle)`
`Mat22(float col1x, float col2x, float col1y, float col2y)`
`Mat22(Vec2 c1, Vec2 c2)`

Method Summary
`Mat22` | `abs()`
`static Mat22` | `abs(Mat22 R)`
`Mat22` | `add(Mat22 B)`
`Mat22` | `addLocal(Mat22 B)`
`Mat22` | `clone()`
`Mat22` | `invert()` Returns the inverted Mat22 - does NOT invert the matrix locally!
`Mat22` | `mul(Mat22 R)`
`static Mat22` | `mul(Mat22 A, Mat22 B)`
`static Vec2` | `mul(Mat22 R, Vec2 v)`
`Vec2` | `mul(Vec2 v)`
`Mat22` | `mulT(Mat22 B)`
`static Mat22` | `mulT(Mat22 A, Mat22 B)`
`static Vec2` | `mulT(Mat22 R, Vec2 v)`
`Vec2` | `mulT(Vec2 v)`
`void` | `set(float angle)`
`void` | `set(Mat22 m)`
`void` | `set(Vec2 c1, Vec2 c2)`
`void` | `setAngle(float angle)`
`void` | `setIdentity()`
`void` | `setZero()`
`Vec2` | `solve(Vec2 b)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### col1

    public Vec2 col1

### col2

    public Vec2 col2

Constructor Detail

### Mat22

    public Mat22()

### Mat22

    public Mat22(float angle)

### Mat22

    public Mat22(Vec2 c1,
                 Vec2 c2)

### Mat22

    public Mat22(float col1x,
                 float col2x,
                 float col1y,
                 float col2y)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### set

    public void set(Mat22 m)

### clone

    public Mat22 clone()

  Overrides:
    `clone` in class `java.lang.Object`

### set

    public void set(float angle)

### setIdentity

    public void setIdentity()

### setZero

    public void setZero()

### setAngle

    public void setAngle(float angle)

### set

    public void set(Vec2 c1,
                    Vec2 c2)

### invert

    public Mat22 invert()

  Returns the inverted Mat22 - does NOT invert the matrix locally!

### abs

    public Mat22 abs()

### abs

    public static Mat22 abs(Mat22 R)

### mul

    public Vec2 mul(Vec2 v)

### mul

    public Mat22 mul(Mat22 R)

### mulT

    public Mat22 mulT(Mat22 B)

### mulT

    public Vec2 mulT(Vec2 v)

### add

    public Mat22 add(Mat22 B)

### addLocal

    public Mat22 addLocal(Mat22 B)

### solve

    public Vec2 solve(Vec2 b)

### mul

    public static Vec2 mul(Mat22 R,
                           Vec2 v)

### mul

    public static Mat22 mul(Mat22 A,
                            Mat22 B)

### mulT

    public static Vec2 mulT(Mat22 R,
                            Vec2 v)

### mulT

    public static Mat22 mulT(Mat22 A,
                             Mat22 B)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD